# Uses of Interface
javax.imageio.spi.ServiceRegistry.Filter

Packages that use ServiceRegistry.Filter
Package
Description
javax.imageio.spi
A package of the Java Image I/O API containing the plug-in interfaces for readers, writers, transcoders, and streams, and a runtime registry.

- ## Uses of ServiceRegistry.Filter in javax.imageio.spi

  Methods in javax.imageio.spi with parameters of type ServiceRegistry.Filter
  Modifier and Type
  Method
  Description
  `<T> Iterator<T>`
  ServiceRegistry.`getServiceProviders(Class<T> category, ServiceRegistry.Filter filter, boolean useOrdering)`
  Returns an `Iterator` containing service provider objects within a given category that satisfy a criterion imposed by the supplied `ServiceRegistry.Filter` object's `filter` method.